package kr.xit.core.biz.batch.listener;

import java.util.List;

import org.springframework.batch.core.listener.ItemListenerSupport;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CustomItemListner extends ItemListenerSupport {

    public void onReadError(Exception ex) {
        log.error("onReadError", ex);
    }

    @Override
    public void onProcessError(Object item, Exception e) {
        log.error("onProcessError", e);
        super.onProcessError(item, e);
    }

    @Override
    public void onWriteError(Exception ex, List item) {
        log.error("onWriteError", ex);
    }



}
